> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Dataset

> Delete a dataset. Requires PermanentDelete access to the dataset



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml delete /api/datasetrw/v1/datasets/{datasetId}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/datasetrw/v1/datasets/{datasetId}:
    delete:
      tags:
        - DatasetRw
      summary: Delete Dataset
      description: Delete a dataset. Requires PermanentDelete access to the dataset
      operationId: deleteDataset
      parameters:
        - description: ID of dataset to remove from project
          in: path
          name: datasetId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetRwEnvelopeV1'
          description: Success
components:
  schemas:
    DatasetRwEnvelopeV1:
      properties:
        dataset:
          $ref: '#/components/schemas/DatasetRwDetailsV1'
        metadata:
          $ref: '#/components/schemas/MetadataV1'
      required:
        - dataset
        - metadata
      type: object
    DatasetRwDetailsV1:
      properties:
        createdAt:
          description: When the dataset was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        description:
          description: A description of the dataset
          type: string
        id:
          description: ID of the dataset
          example: 62313ce67a0af0281c01a6a5
          type: string
        name:
          description: Name of the dataset
          example: My Dataset
          type: string
        projectId:
          description: ID of the project this dataset belongs to
          example: 62313ce67a0af0281c01a6a5
          type: string
        snapshotIds:
          description: List of snapshot IDs belonging to this dataset
          items:
            type: string
          type: array
        tags:
          $ref: '#/components/schemas/DatasetRwTagsV1'
      required:
        - id
        - name
        - createdAt
        - snapshotIds
        - tags
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    DatasetRwTagsV1:
      additionalProperties:
        type: string
      description: A map of tagName -> snapshotId
      type: object
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````